Sisimai::Reason::NoRelaying(3pm)

NAME
Sisimai::Reason::NoRelaying - Bounce reason is "norelaying" or not.

SYNOPSIS
    use Sisimai::Reason::NoRelaying;
    print Sisimai::Reason::NoRelaying->match('Relaying denied');   # 1

DESCRIPTION
"Sisimai::Reason::NoRelaying" checks the bounce reason is "norelaying" or not. This class is called only "Sisimai::Reason" class. This is the error that the SMTP connection rejected with an error message like "Relaying Denied".

    ... while talking to mailin-01.mx.example.com.:
    >>> RCPT To:<kijitora@example.org>
    <<< 554 5.7.1 <kijitora@example.org>: Relay access denied
    554 5.0.0 Service unavailable

CLASS METHODS

  "text()"
text() method returns the fixed string "norelaying".

    print Sisimai::Reason::NoRelaying->text;  # norelaying

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::NoRelaying->match('Relaying denied');   # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "norelaying". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2018,2020-2026 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.